## 167.Two Sum II - Input array is sorted

Given an array of integers that is already**sorted in ascending order**, find two numbers such that they add up to a specific target number.

The function twoSum should return indices of the two numbers such that they add up to the target, where index1 must be less than index2. Please note that your returned answers \(both index1 and index2\) are not zero-based.

You may assume that each input would haveexactlyone solution and you may not use thesameelement twice.

**Input:**numbers={2, 7, 11, 15}, target=9  
**Output:**index1=1, index2=2

```cpp

class Solution {
    vector<int> answer;
public:
    vector<int> twoSum(vector<int>& numbers, int target) {
        // two pointer
        int left = 0, right = numbers.size()-1;
        while(left < right){
            int sum = numbers[left] + numbers[right];
            if (sum == target){
              answer.push_back(left + 1);
              answer.push_back(right + 1);
              return answer;
            }
            else if (sum < target){
                left ++;
            }
            else{
                right--;
            }
        }
            return answer;
    }
};
```



