# 18. 4Sum

Given an array _S of n integers, are there elements a,b,c,_ and _d in S such that_ a+b+c+d = target? Find all unique quadruplets in the array which gives the sum of target.

**Note:**The solution set must not contain duplicate quadruplets.

```
For example, given array S = [1, 0, -1, 0, -2, 2], and target = 0.

A solution set is:
[
  [-1,  0, 0, 1],
  [-2, -1, 1, 2],
  [-2,  0, 0, 2]
]
```

**Thoughts**:

1. Naive way: break down problems into [3Sum ](/3sum.md)-&gt; [Two Sum](//twoSum.md); In general: for sum, use recursion to break down to \(k-1\)-&gt;\(k-2\) until reaching 2, which is solved using the algorithm for two Sum
2. Since we need **ALL **solutions, tricks for removing duplicates, as adopted in [3Sum](/3sum.md) is also adopted.
3. When k &gt; 2, I prefer using two pointers as the time complexities is no longer dominant by sorting \(O\(nlogn\)\).





Special thanks: [洗刷刷](http://bangbingsyb.blogspot.com/2014/11/leetcode-4sum.html) for the reference!

